# module Puppet::Network::FormatHandler::InstanceMethods

### Public Instance Methods

mime(format = nil) click to toggle source

    # File lib/puppet/network/format_handler.rb, line 169
    def mime(format = nil)
      format ||= self.class.default_format

      Puppet::Network::FormatHandler.protected_format(format).mime
    end

render(format = nil) click to toggle source

    # File lib/puppet/network/format_handler.rb, line 163
    def render(format = nil)
      format ||= self.class.default_format

      Puppet::Network::FormatHandler.protected_format(format).render(self)
    end

support_format?(name) click to toggle source

    # File lib/puppet/network/format_handler.rb, line 175
    def support_format?(name)
      self.class.support_format?(name)
    end